be.fgov.ehealth.hubservices.core.v2

## Class GetTherapeuticLinkRequest

- java.lang.Object
- - be.fgov.ehealth.hubservices.core.v2.GetTherapeuticLinkRequest

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2023-04-04T03:03:10+02:00",
                 comments="JAXB RI v2.3.7")
      public class GetTherapeuticLinkRequest
      extends Object
      implements Serializable

  Java class for GetTherapeuticLinkRequestType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="GetTherapeuticLinkRequestType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="request" type="{http://www.ehealth.fgov.be/hubservices/core/v2}RequestType"/>
               <element name="select" type="{http://www.ehealth.fgov.be/hubservices/core/v2}GetTherapeuticLinkSelectType"/>
               <element name="proof" type="{http://www.ehealth.fgov.be/hubservices/core/v2}ProofType" maxOccurs="unbounded" minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GetTherapeuticLinkRequest()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<ProofType>` | `getProoves()` Gets the value of the prooves property.
    `RequestType` | `getRequest()` Gets the value of the request property.
    `GetTherapeuticLinkSelectType` | `getSelect()` Gets the value of the select property.
    `void` | `setRequest(RequestType value)` Sets the value of the request property.
    `void` | `setSelect(GetTherapeuticLinkSelectType value)` Sets the value of the select property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GetTherapeuticLinkRequest

          public GetTherapeuticLinkRequest()

  - ### Method Detail

    - #### getRequest

          public RequestType getRequest()

      Gets the value of the request property.
      Returns:
        possible object is `RequestType`

    - #### setRequest

          public void setRequest(RequestType value)

      Sets the value of the request property.
      Parameters:
        `value` - allowed object is `RequestType`

    - #### getSelect

          public GetTherapeuticLinkSelectType getSelect()

      Gets the value of the select property.
      Returns:
        possible object is `GetTherapeuticLinkSelectType`

    - #### setSelect

          public void setSelect(GetTherapeuticLinkSelectType value)

      Sets the value of the select property.
      Parameters:
        `value` - allowed object is `GetTherapeuticLinkSelectType`

    - #### getProoves

          public List<ProofType> getProoves()

      Gets the value of the prooves property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the prooves property.

      For example, to add a new item, do as follows:

              getProoves().add(newItem);

      Objects of the following type(s) are allowed in the list `ProofType`

Connector Packaging PERSLOGOPEDIST 4.3.0 API
Copyright © {inceptionYear}-2023 eHealth. All Rights Reserved.